# CEGUI::ScrolledContainerFactory Class Reference

Factory class for producing ScrolledContainer windows. More...

Inheritance diagram for CEGUI::ScrolledContainerFactory:

[legend]
Collaboration diagram for CEGUI::ScrolledContainerFactory:

[legend]
List of all members.

## Public Member Functions

Window * | createWindow (const String &name)
| Create a new Window object of whatever type this WindowFactory produces.
void | destroyWindow (Window *window)
| Destroys the given Window object.

## Detailed Description

Factory class for producing ScrolledContainer windows.

## Member Function Documentation

Window* CEGUI::ScrolledContainerFactory::createWindow | ( | const String & | name | ) | `[inline, virtual]`

Create a new Window object of whatever type this WindowFactory produces.

Parameters:

  | name | A unique name that is to be assigned to the newly created Window object

Returns:
  Pointer to the new Window object.

Implements CEGUI::WindowFactory.

void CEGUI::ScrolledContainerFactory::destroyWindow | ( | Window * | window | ) | `[inline, virtual]`

Destroys the given Window object.

Parameters:

  | window | Pointer to the Window object to be destroyed.

Returns:
  Nothing.

Implements CEGUI::WindowFactory.